edu.ucsb.nceas.metacat.restservice.multipart

## Class MultipartRequestWithSysmeta

- java.lang.Object
- - org.dataone.mimemultipart.MultipartRequest
  - - edu.ucsb.nceas.metacat.restservice.multipart.MultipartRequestWithSysmeta

- All Implemented Interfaces:
    javax.servlet.http.HttpServletRequest, javax.servlet.ServletRequest

      public class MultipartRequestWithSysmeta
      extends org.dataone.mimemultipart.MultipartRequest

  A class extends from the MultipartRequest class with the extra information of system meta data
  Author:
    tao

- - ### Field Summary

    - ### Fields inherited from interface javax.servlet.http.HttpServletRequest

      `BASIC_AUTH, CLIENT_CERT_AUTH, DIGEST_AUTH, FORM_AUTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MultipartRequestWithSysmeta(javax.servlet.http.HttpServletRequest request, java.util.Map<java.lang.String,java.io.File> mpFiles, java.util.Map<java.lang.String,java.util.List<java.lang.String>> mpParams)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.dataone.service.types.v1.SystemMetadata` | `getSystemMetadata()` Get the system meta data associate with this request
    `void` | `setSystemMetadata(org.dataone.service.types.v1.SystemMetadata systemMetadata)` Set the system meta data for this request

    - ### Methods inherited from class org.dataone.mimemultipart.MultipartRequest

      `getAttribute, getAttributeNames, getAuthType, getCharacterEncoding, getContentLength, getContentType, getContextPath, getCookies, getDateHeader, getHeader, getHeaderNames, getHeaders, getInputStream, getIntHeader, getLocalAddr, getLocale, getLocales, getLocalName, getLocalPort, getMethod, getMultipartFiles, getMultipartParameters, getParameter, getParameterMap, getParameterNames, getParameterValues, getPathInfo, getPathTranslated, getProtocol, getQueryString, getReader, getRealPath, getRemoteAddr, getRemoteHost, getRemotePort, getRemoteUser, getRequestDispatcher, getRequestedSessionId, getRequestURI, getRequestURL, getScheme, getServerName, getServerPort, getServletPath, getSession, getSession, getUserPrincipal, isRequestedSessionIdFromCookie, isRequestedSessionIdFromUrl, isRequestedSessionIdFromURL, isRequestedSessionIdValid, isSecure, isUserInRole, removeAttribute, setAttribute, setCharacterEncoding`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.servlet.http.HttpServletRequest

      `authenticate, changeSessionId, getPart, getParts, login, logout, upgrade`

    - ### Methods inherited from interface javax.servlet.ServletRequest

      `getAsyncContext, getContentLengthLong, getDispatcherType, getServletContext, isAsyncStarted, isAsyncSupported, startAsync, startAsync`

- - ### Constructor Detail

    - #### MultipartRequestWithSysmeta

          public MultipartRequestWithSysmeta(javax.servlet.http.HttpServletRequest request,
                                             java.util.Map<java.lang.String,java.io.File> mpFiles,
                                             java.util.Map<java.lang.String,java.util.List<java.lang.String>> mpParams)

      Constructor
      Parameters:
        `request` -
        `mpFiles` -
        `mpParams` -

  - ### Method Detail

    - #### getSystemMetadata

          public org.dataone.service.types.v1.SystemMetadata getSystemMetadata()

      Get the system meta data associate with this request
      Returns:
        the system meta data

    - #### setSystemMetadata

          public void setSystemMetadata(org.dataone.service.types.v1.SystemMetadata systemMetadata)

      Set the system meta data for this request
      Parameters:
        `systemMetadata` - the system meta data will be set

Copyright © 2023 Regents of the University of California. All Rights Reserved.